## pyasn1 0.4.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyASN1.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyASN1.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyASN1"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyASN1"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## pyasn1 0.0.11a

=== debian/changelog ===
pyasn1 (0.0.11a-1ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 13:36:05 +0000

pyasn1 (0.0.11a-1) unstable; urgency=low

  * New upstream release (Closes: #579556).
  * Bumped Standard version to 3.8.4 (No changes).
  * debian/control:
    + Added myself to Uploaders.
    + Added ${misc:Depends}.
    + Aemoved python-dev and added python.
  * debian/copyright
    + Added debian's copyright information.
    + Formated and updated copy information.
  * Added debian/python-pyasn1.doc-base.
  * debian/source:
    + Switch to dpkg-source 3.0 (quilt) format.
   
  [Arnaud Fontaine] 
  * debian/control:
     + Remove myself from Maintainer as Jan Lübbe is now the maintainer.

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Fri, 14 May 2010 16:30:27 -0400

pyasn1 (0.0.8a-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.
  * New email address.
  * Remove useless debian/control.in.
  * debian/control:
    + Update Standards-Version to 3.7.3. No changes needed.
  
  [ Piotr Ożarowski ]
  * debian/control:
    + Add Vcs-Browser and Homepage fields.
    + Rename XS-Vcs-Svn field to Vcs-Svn.

  [ Sandro Tosi ]
  * debian/control:
    - Uniformise Vcs-Browser field.
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 29 May 2008 22:05:33 +0200

pyasn1 (0.0.7a-1) unstable; urgency=low

  * New upstream release
  * Update my maintainer address

 -- Jan Luebbe <jluebbe@debian.org>  Sun, 26 Aug 2007 13:26:31 +0200

pyasn1 (0.0.6a-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.
  * Add egg support.

  [ Piotr Ozarowski ]
  * Added XS-Vcs-Svn field

 -- Arnaud Fontaine <arnaud@andesi.org>  Mon, 16 Apr 2007 17:56:28 +0200

pyasn1 (0.0.5a-2) unstable; urgency=low

  * New Python policy changes. Closes: #373484.
    + debian/compat:
      - Update debhelper compatibility to 5.
    + debian/rules:
      - Add DEB_PYTHON_SYSTEM=pysupport.
    + debian/control.in
      - Clean Build-Depends and Depends, cdbs handles that 
        automatically now.
      - XB-Python-Version and Provides for binary package.
    + debian/postinst && debian/prerm:
      - Remove "hand made" python-support stuff, cdbs does this.

 -- Arnaud Fontaine <arnaud@andesi.org>  Mon, 19 Jun 2006 23:51:44 +0200

pyasn1 (0.0.5a-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.7.2.
  * Add debian/source.lintian-overrides for Build-Depends warnings
    concerning python-support
  * Update python-support to 0.2.1 in debian/control* and
    debian/rules.

 -- Arnaud Fontaine <arnaud@andesi.org>  Thu,  1 Jun 2006 16:41:11 +0200

pyasn1 (0.0.4a-2) unstable; urgency=low

  * Move Build-Depends-Indep to Build-Depends according 
    to the debian policy.

 -- Arnaud Fontaine <arnaud@andesi.org>  Sat, 22 Apr 2006 19:22:53 +0200

pyasn1 (0.0.4a-1) unstable; urgency=low

  * Initial release. Closes: #364204.

 -- Arnaud Fontaine <arnaud@andesi.org>  Fri, 22 Apr 2006 08:22:12 +0200

=== debian/control ===
Source: pyasn1
Section: python
Priority: optional
Maintainer: Jan Lübbe <jluebbe@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Deepak Tripathi <apenguinlinux@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.42),
               python (>= 2.6.6-3~),
Build-Depends-Indep: python-setuptools (>= 0.6b3)
Homepage: http://pyasn1.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyasn1/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyasn1/trunk/

Package: python-pyasn1
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: ASN.1 library for Python
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/pyasn1/ pyasn1-(.*).tar.gz

## pyasn1 0.1.3

=== debian/changelog ===
pyasn1 (0.1.3-1) unstable; urgency=low

  * Team upload.

  [ Deepak Tripathi ]
  * debian/watch
    + updated source to sf.net redirector.

  [Arnaud Fontaine]
  * New upstream release. Closes: #651686.
    + PyASN1 manual has been renamed, thus update doc-base.
  * Fix FTBFS if built twice by adding debian/source/options to ignore
    changes to .egg-info directory. Closes: #671249.
  * Switch from python-support to dh_python2.
  * debian/watch: fix regex to not match pyasn1-modules.
  * debian/copyright: switch to machine-readable format.
  * debian/control:
    + Add doc-base to Suggests.
    + Bump Standards-Version to 3.9.3. No changes needed.
    + Build-Depends on python-all rather than only python.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 21 May 2012 17:45:30 +0900

=== debian/control ===
Source: pyasn1
Section: python
Priority: optional
Maintainer: Jan Lübbe <jluebbe@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Deepak Tripathi <apenguinlinux@gmail.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.90~),
               python-all (>= 2.6.6-3~),
Build-Depends-Indep: python-setuptools
X-Python-Version: >= 2.4
Homepage: http://pyasn1.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyasn1/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyasn1/trunk/

Package: python-pyasn1
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: doc-base
Description: ASN.1 library for Python
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Don't compress .py files
DEB_COMPRESS_EXCLUDE := .py

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed \
	--install-layout=deb

## pyasn1 0.1.4

=== debian/changelog ===
pyasn1 (0.1.4-0ubuntu1) raring; urgency=low

  * New upstream release. (Closes: #691421)
  * Add python3 module. (LP: #1024505) 
  * Run test suite.
  * Use dh & dh_python[23] (Closes: #622086)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 09 Nov 2012 21:59:24 +0000

=== debian/control ===
Source: pyasn1
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Lübbe <jluebbe@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Deepak Tripathi <apenguinlinux@gmail.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
	       python3-all
Build-Depends-Indep: python-setuptools, python3-setuptools
X-Python-Version: >= 2.4
X-Python3-Verions: >= 3.2
Homepage: http://pyasn1.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyasn1/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyasn1/trunk/

Package: python-pyasn1
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: doc-base
Description: ASN.1 library for Python
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.

Package: python3-pyasn1
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: doc-base
Description: ASN.1 library for Python 3
 This is an implementation of ASN.1 types and codecs in Python 3
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized to be suitable for a wide range
 of protocols based on ASN.1 specification.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --no-compile --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

override_dh_auto_test:
	set -ex; for python in $(shell py3versions -r) $(shell pyversions -r); do \
		PYTHONPATH=. $$python test/suite.py; \
	done

## pyasn1 0.1.7

=== debian/changelog ===
pyasn1 (0.1.7-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:50:05 +0000

pyasn1 (0.1.7-1ubuntu1) trusty; urgency=low

  * Execute python3 tests, with python3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 16:28:56 +0100

pyasn1 (0.1.7-1) unstable; urgency=low

  [ Vincent Bernat ]
  * New upstream release.
  * Bump Standards-Version to 3.9.4.
  * Examples are not provided any more. Ship more documentation instead.
  * Add python3-pyasn1 package for Python 3 support.
  * Update debian/copyright to reflect licensing change.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Yaroslav Halchenko ]
  * Team upload
  * New upstream release (Closes: #691421)
  * debian/rules:
    - run tests (test/suite.py) upon build

 -- Vincent Bernat <bernat@debian.org>  Tue, 24 Sep 2013 09:28:33 +0200

=== debian/control ===
Source: pyasn1
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Lübbe <jluebbe@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Deepak Tripathi <apenguinlinux@gmail.com>, Vincent Bernat <bernat@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.90~),
               python-all (>= 2.6.6-3~), python3-all
Build-Depends-Indep: python-setuptools, python3-setuptools
X-Python-Version: >= 2.4
Homepage: http://pyasn1.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyasn1/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyasn1/trunk/

Package: python-pyasn1
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: doc-base
Description: ASN.1 library for Python (Python 2 module)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the Python 2 module.

Package: python3-pyasn1
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: doc-base
Description: ASN.1 library for Python (Python 3 module)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Don't compress .py files
DEB_COMPRESS_EXCLUDE := .py

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed \
	--install-layout=deb

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
install/python-pyasn1 install/python3-pyasn1::
	set -e; cd test; for buildver in $(cdbs_python_build_versions); do \
        echo "I: Running pyasn1 unittests using python$$buildver"; \
        pd=$$(/bin/ls -d $(CURDIR)/build/lib.*-$$buildver) && \
        PYTHONPATH=$$pd $(call cdbs_python_binary,python$$buildver) suite.py; \
    done
install/python3-pyasn1::
	set -e; cd test; for buildver in $(cdbs_python3_build_versions); do \
        echo "I: Running pyasn1 unittests using python$$buildver"; \
        pd=$$(/bin/ls -d $(CURDIR)/build/lib/) && \
        PYTHONPATH=$$pd $(call cdbs_python_binary,python$$buildver) suite.py; \
    done
endif

## pyasn1 0.1.8

=== debian/changelog ===
pyasn1 (0.1.8-2~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 02 Oct 2015 09:58:37 +0000

pyasn1 (0.1.8-2) unstable; urgency=medium

  * Team upload.
  * Add pypy-pyasn1 package.
  * Remove deprecated DEB_COMPRESS_EXCLUDE.
  * Bump debhelper compat level (no changes needed).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 04 Sep 2015 08:35:01 +0200

pyasn1 (0.1.8-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.6.
  * Run unittests with Python 3 too.

 -- Vincent Bernat <bernat@debian.org>  Tue, 28 Jul 2015 08:02:59 +0200

=== debian/control ===
Source: pyasn1
Section: python
Priority: optional
Maintainer: Jan Lübbe <jluebbe@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Deepak Tripathi <apenguinlinux@gmail.com>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 3.9.6
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 9),
               dh-python,
               pypy,
               python-all (>= 2.6.6-3~),
               python3-all
Build-Depends-Indep: pypy-setuptools, python-setuptools, python3-setuptools
X-Python-Version: >= 2.4
Homepage: http://pyasn1.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyasn1/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyasn1/trunk/

Package: python-pyasn1
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: doc-base
Description: ASN.1 library for Python (Python 2 module)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the Python 2 module.

Package: python3-pyasn1
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: doc-base
Description: ASN.1 library for Python (Python 3 module)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the Python 3 module.

Package: pypy-pyasn1
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}
Suggests: doc-base
Description: ASN.1 library for Python (PyPy module)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the PyPy module.

## pyasn1 0.1.9

=== debian/changelog ===
pyasn1 (0.1.9-1) unstable; urgency=medium

  * Add pydist files.
  * New upstream release.
  * Add myself to uploaders.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 07 Oct 2015 11:23:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Jan Lübbe <jluebbe@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
            Deepak Tripathi <apenguinlinux@gmail.com>,
-           Vincent Bernat <bernat@debian.org>
+           Vincent Bernat <bernat@debian.org>,
+           Tristan Seligmann <mithrandi@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 9),

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# pypy binary package
pypy_package = pypy-pyasn1

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed \
	--install-layout=deb

# hook pypy-pyasn1 into existing cdbs build stage
build/$(pypy_package):: build/%: debian/python-module-stampdir/%
debian/python-module-stampdir/$(pypy_package):
	cd $(cdbs_python_distutils_srcdir) && \
		pypy $(cdbs_python_setup_cmd) build \
		$(cdbs_python_build_args)
	touch $@

# hook pypy-pyasn1 into existing cdbs install stage
install/$(pypy_package)::
	cd $(cdbs_python_distutils_srcdir) && \
		pypy $(cdbs_python_setup_cmd) install \
		--root="$(cdbs_python_destdir)" \
		--install-purelib=$(call cdbs_expand_python_distutils_installdir,pypy) \
		$(cdbs_python_install_args)

# hook in binary-post-install to invoke dh_pypy to calculate
# dependencies, add maintainer script and byte compile files.
binary-post-install/$(pypy_package):: binary-post-install/%: binary-install-python/%
binary-install-python/$(pypy_package):: binary-install-python/%: binary-install/%
	dh_pypy -p$(cdbs_curpkg) $(call cdbs_expand_curvar,DEB_DH_PYTHONHELPER_ARGS) $(call cdbs_expand_curvar, DEB_PYTHON_PRIVATE_MODULE_DIRS)

python-module-clean/$(pypy_package)::
	-cd $(cdbs_python_distutils_srcdir) && \
		pypy $(cdbs_python_setup_cmd) clean \
		$(cdbs_python_clean_args)

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
install/python-pyasn1 install/python3-pyasn1::
	set -e; cd test; for buildver in $(cdbs_curpythonbuildversions); do \
        echo "I: Running pyasn1 unittests using python$$buildver"; \
        pd=$$(/bin/ls -d $(CURDIR)/build/$(if $(filter $(cdbs_curpythonstem),3),lib,lib.*-$$buildver)) && \
        PYTHONPATH=$$pd $(call cdbs_python_binary,python$$buildver) suite.py; \
    done

install/pypy-pyasn1::
	set -e; cd test; \
        echo "I: Running pyasn1 unittests using pypy"; \
        pd=$$(/bin/ls -d $(CURDIR)/build/lib) && \
        PYTHONPATH=$$pd pypy suite.py; \
    done
endif

=== debian/watch ===
version=3
http://sf.net/pyasn1/pyasn1-([0-9.]*).tar.gz

## pyasn1 0.4.2

=== debian/changelog ===
pyasn1 (0.4.2-3build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:39:43 +0000

pyasn1 (0.4.2-3) unstable; urgency=medium

  * Add Replaces/Breaks for python-pyasn1-doc (closes: #886700).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 09 Jan 2018 12:40:05 +0200

pyasn1 (0.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Bernat <bernat@debian.org>  Sun, 31 Dec 2017 14:45:40 +0100

pyasn1 (0.4.2-1) experimental; urgency=medium

  [ Tristan Seligmann ]
  * Switch debian/watch to pypi.debian.net; releases are no longer being
    made on the SourceForge project (closes: #855896).

  [ Vincent Bernat ]
  * New upstream release. Closes: #872724.
  * d/patches: fix test using sys.getsizeof().
  * d/patches: fix privacy breaches.
  * d/control: bump Standards-Version.
  * d/control: add documentation package.
  * d/control: add test suite.
  * d/control: mention this version breaks python-pysnmp4.

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Dec 2017 07:24:19 +0100

pyasn1 (0.1.9-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Vincent Bernat ]
  * Switch to pybuild for build. It's far easier to get proper pypy
    support this way.  This happens to closes: #837025 (FTBFS).

 -- Vincent Bernat <bernat@debian.org>  Sat, 10 Sep 2016 14:22:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,24 @@
            Deepak Tripathi <apenguinlinux@gmail.com>,
            Vincent Bernat <bernat@debian.org>,
            Tristan Seligmann <mithrandi@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: cdbs (>= 0.4.90~),
-               debhelper (>= 9),
+Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 9),
                dh-python,
                pypy,
                python-all (>= 2.6.6-3~),
-               python3-all
+               python3-all,
+               python3-sphinx
 Build-Depends-Indep: pypy-setuptools, python-setuptools, python3-setuptools
 X-Python-Version: >= 2.4
 Homepage: http://pyasn1.sourceforge.net/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyasn1/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyasn1/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyasn1.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyasn1.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-pyasn1
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Suggests: doc-base
+Breaks: python-pysnmp4 (<< 4.3.4)
 Description: ASN.1 library for Python (Python 2 module)
  This  is  an implementation  of  ASN.1  types  and codecs  in  Python
  programming language. It has been first written to support particular
@@ -34,7 +35,7 @@
 Package: python3-pyasn1
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: doc-base
+Breaks: python3-pysnmp4 (<< 4.3.4)
 Description: ASN.1 library for Python (Python 3 module)
  This  is  an implementation  of  ASN.1  types  and codecs  in  Python
  programming language. It has been first written to support particular
@@ -46,7 +47,6 @@
 Package: pypy-pyasn1
 Architecture: all
 Depends: ${misc:Depends}, ${pypy:Depends}
-Suggests: doc-base
 Description: ASN.1 library for Python (PyPy module)
  This  is  an implementation  of  ASN.1  types  and codecs  in  Python
  programming language. It has been first written to support particular
@@ -54,3 +54,18 @@
  of protocols based on ASN.1 specification.
  .
  This package contains the PyPy module.
+
+Package: python-pyasn1-doc
+Section: doc
+Architecture: all
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Replaces: python-pyasn1 (<< 0.4.2-1)
+Breaks: python-pyasn1 (<< 0.4.2-1)
+Suggests: doc-base
+Description: ASN.1 library for Python (documentation)
+ This  is  an implementation  of  ASN.1  types  and codecs  in  Python
+ programming language. It has been first written to support particular
+ protocol (SNMP) but then generalized  to be suitable for a wide range
+ of protocols based on ASN.1 specification.
+ .
+ This package contains the documentation.

## pyasn1 0.4.8

=== debian/changelog ===
pyasn1 (0.4.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 0.0.4a-1.

  [ Tristan Seligmann ]
  * New upstream release.
    - Drop 0001-sys.getsizeof-may-raise-TypeError.patch.
  * Declare rootless build.
  * Update Homepage.
  * Bump Standards-Version to 4.5.0 (no changes).
  * Bump debhelper-compat to 13.
  * Apply sphinxdoc:Built-Using.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 17 Jul 2020 15:05:27 +0200

pyasn1 (0.4.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937386

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Apr 2020 20:16:11 -0400

=== debian/control ===
Source: pyasn1
Section: python
Priority: optional
Maintainer: Jan Lübbe <jluebbe@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Deepak Tripathi <apenguinlinux@gmail.com>,
 Vincent Bernat <bernat@debian.org>,
 Tristan Seligmann <mithrandi@debian.org>,
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pypy,
 python3-all,
 python3-sphinx,
Build-Depends-Indep: pypy-setuptools, python3-setuptools
Rules-Requires-Root: no
Homepage: http://snmplabs.com/pyasn1/index.html
Vcs-Git: https://salsa.debian.org/python-team/modules/pyasn1.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyasn1
Testsuite: autopkgtest-pkg-python

Package: python3-pyasn1
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Breaks: python3-pysnmp4 (<< 4.3.4)
Description: ASN.1 library for Python (Python 3 module)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the Python 3 module.

Package: pypy-pyasn1
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}
Description: ASN.1 library for Python (PyPy module)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the PyPy module.

Package: python-pyasn1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: python-pyasn1 (<< 0.4.2-1)
Built-Using: ${sphinxdoc:Built-Using}
Breaks: python-pyasn1 (<< 0.4.2-1)
Suggests: doc-base
Description: ASN.1 library for Python (documentation)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=pyasn1

%:
	dh $@ --with python3,pypy,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/source/ \
                debian/python-pyasn1-doc/usr/share/doc/python-pyasn1-doc/html/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyasn1/pyasn1-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyasn1 0.5.1

=== debian/changelog ===
pyasn1 (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Added pybuild-plugin-pyproject as build-depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 08:29:15 +0200

pyasn1 (0.4.8-4) unstable; urgency=medium

  * Team upload
  * Remove retired uploader

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 15:33:56 +0200

pyasn1 (0.4.8-3) unstable; urgency=medium

  * Team upload.
  * Drop pypy from d/rules to fix FTBFS (Closes: #1026670)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 24 Dec 2022 17:08:16 +0100

pyasn1 (0.4.8-2.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-pyasn1: Drop versioned constraint on python3-pysnmp4 in Breaks.
    + python-pyasn1-doc: Drop versioned constraint on python-pyasn1 in Replaces.
    + python-pyasn1-doc: Drop versioned constraint on python-pyasn1 in Breaks.

  [ Paul Gevers ]
  * Stop building pypy-pyasn1 (Closes: 1022004)

 -- Paul Gevers <elbrus@debian.org>  Tue, 18 Oct 2022 21:27:43 +0200

pyasn1 (0.4.8-2) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pyasn1-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 20:57:14 -0400

=== debian/control ===
Source: pyasn1
Section: python
Priority: optional
Maintainer: Jan Lübbe <jluebbe@debian.org>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Deepak Tripathi <apenguinlinux@gmail.com>,
 Vincent Bernat <bernat@debian.org>,
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-sphinx,
Build-Depends-Indep: python3-setuptools
Rules-Requires-Root: no
Homepage: http://snmplabs.com/pyasn1/index.html
Vcs-Git: https://salsa.debian.org/python-team/packages/pyasn1.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyasn1
Testsuite: autopkgtest-pkg-python

Package: python3-pyasn1
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: ASN.1 library for Python (Python 3 module)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the Python 3 module.

Package: python-pyasn1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: doc-base
Multi-Arch: foreign
Description: ASN.1 library for Python (documentation)
 This  is  an implementation  of  ASN.1  types  and codecs  in  Python
 programming language. It has been first written to support particular
 protocol (SNMP) but then generalized  to be suitable for a wide range
 of protocols based on ASN.1 specification.
 .
 This package contains the documentation.

## pyasn1 0.6.0

=== debian/changelog ===
pyasn1 (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.0
  * Use new dh-sequence-python3
  * Set DPT as Maintainer per new Team Policy

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Aug 2024 13:57:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: pyasn1
 Section: python
 Priority: optional
-Maintainer: Jan Lübbe <jluebbe@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Debian Python Team <team+python@tracker.debian.org>,
+ Jan Lübbe <jluebbe@debian.org>,
  Deepak Tripathi <apenguinlinux@gmail.com>,
  Vincent Bernat <bernat@debian.org>,
 Standards-Version: 4.5.0
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-sphinx,

## pyasn1 0.6.1

=== debian/changelog ===
pyasn1 (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.1
  * Trim autpkgtest dependencies
  * Annotate python3-sphinx build-dependency with <!nodoc>

 -- Alexandre Detiste <tchet@debian.org>  Thu, 13 Feb 2025 18:59:57 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-sphinx,
+ python3-sphinx <!nodoc>,
 Build-Depends-Indep: python3-setuptools
 Rules-Requires-Root: no
 Homepage: http://snmplabs.com/pyasn1/index.html

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=pyasn1
 
 %:
-	dh $@ --with python3,pypy,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 python3-all,
Restrictions: allow-stderr needs-root

## pyasn1 0.6.2

=== debian/changelog ===
pyasn1 (0.6.2-1) unstable; urgency=high

  * Team upload.
  * New upstream version 0.6.2
    * Fixed continuation octet limits in OID/RELATIVE-OID decoder
      CVE-2026-23490 (Closes: #1125753)
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Mon, 19 Jan 2026 10:34:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: pyasn1
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jan Lübbe <jluebbe@debian.org>,
  Deepak Tripathi <apenguinlinux@gmail.com>,
  Vincent Bernat <bernat@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-setuptools,
  python3-sphinx <!nodoc>,
-Build-Depends-Indep: python3-setuptools
-Rules-Requires-Root: no
 Homepage: http://snmplabs.com/pyasn1/index.html
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyasn1.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyasn1
@@ -22,7 +20,9 @@
 
 Package: python3-pyasn1
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: ASN.1 library for Python (Python 3 module)
  This  is  an implementation  of  ASN.1  types  and codecs  in  Python
  programming language. It has been first written to support particular
@@ -34,9 +34,13 @@
 Package: python-pyasn1-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
-Suggests: doc-base
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
+Suggests:
+ doc-base,
 Multi-Arch: foreign
 Description: ASN.1 library for Python (documentation)
  This  is  an implementation  of  ASN.1  types  and codecs  in  Python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyasn1

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/source/ \
                debian/python-pyasn1-doc/usr/share/doc/python-pyasn1-doc/html/

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 python3-all,
 @,
Restrictions:
 allow-stderr,
 needs-root,

=== debian/watch ===
Version: 5

Template: Pypi
Dist: pyasn1
